Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/43024/?format=api
{ "ob_id": 43024, "uuid": "074f29828a0447aaabc813e5cfeaa34f", "title": "SRIL34 model outputs of ocean physics variables over the Sri Lanka region (2019-2021).", "abstract": "This dataset contains outputs from a three year ocean (Nucleus for European Modelling of the Ocean (NEMO)) model simulation over the Sri Lanka region, from 2019 to 2021. The model is at 1/60 degree resolution, based on General Bathymetric Chart of the Oceans (GEBCO) bathymetry. It is forced with Copernicus Marine Environment Monitoring Service (CMEMS), GLOBAL_MULTIYEAR_PHY_001_030-TDS, derived ocean boundary conditions and ERA5 atmosphere. The data are daily averages saved in monthly grid-t, grid-u, and grid-v files. The model configuration is named SRIL34, and was part of the X-Press Pearl Disaster Nitrogen Modelling project. The outputs were generated under the Climate Linked Atlantic Sector Science (CLASS) and the South Asian Nitrogen Hub (SANH; NE/S009019/1) projects.", "keywords": "oceans", "publicationState": "citable", "dataPublishedTime": "2024-05-21T13:43:27", "doiPublishedTime": "2024-05-21T13:43:27", "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/43023/?format=api", "dataPath": "/bodc/pol240044", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 0, "numberOfFiles": 0, "fileFormat": "NetCDF, text" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11806/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/4567/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "The data are archived on the British Oceanographic Data Centre (BODC)'s space at the Centre for Environmental Data Analysis (CEDA) and assigned a DOI. No quality control procedures were applied by BODC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/13144/?format=api" ], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204419/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204415/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204421/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204422/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204418/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204417/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204423/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204420/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204416/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204424/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204425/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204426/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [], "discoveryKeywords": [] }